<?php
function BBCode ($string) {
$search = array(
    '@\[(?i)b\](.*?)\[/(?i)b\]@si',
    '@\[(?i)i\](.*?)\[/(?i)i\]@si',
    '@\[(?i)u\](.*?)\[/(?i)u\]@si',
    '@\[(?i)img\](.*?)\[/(?i)img\]@si',
    '@\[(?i)url=(.*?)\](.*?)\[/(?i)url\]@si',
    '@\[(?i)code\](.*?)\[/(?i)code\]@si',
	'@\[(?i)s\](.*?)\[/(?i)s\]@si',
	'@\[(?i)quote=\"(.*?)\"\](.*?)\[/(?i)quote\]@si',
	'@\[(?i)pre\](.*?)\[/(?i)pre\]@si',
	'@\[(?i)size=(.*?)\](.*?)\[/(?i)size\]@si',
	'@\[(?i)colour=(.*?)\](.*?)\[/(?i)colour\]@si',
	'@\[(?i)color=(.*?)\](.*?)\[/(?i)color\]@si',
	'@\[(?i)table\](.*?)\[/(?i)table\]@si',
	'@\[(?i)tr\](.*?)\[/(?i)tr\]@si',
	'@\[(?i)td\](.*?)\[/(?i)td\]@si',
	'@\[(?i)center\](.*?)\[/(?i)center\]@si',
	'@\[(?i)quote\](.*?)\[/(?i)quote\]@si',
	'@\[(?i)quote=(.*?)\](.*?)\[/(?i)quote\]@si',
);
$replace = array(
    '<b>\\1</b>',
    '<i>\\1</i>',
    '<u>\\1</u>',
    '<img src="\\1">',
    '<a href="\\1">\\2</a>',
    '<br /><b>Code:</b><br /><br /><code style="background-color:#DDDDDD;padding:5px;color:#000000;
margin-bottom:2px;
margin-top:2px;">\\1</code><br />',
	'<s>\\1</s>',
	'<br /><b>Quote: \\1</b><div style="background-color:#DDDDDD;padding:5px;color:#000000;
margin-bottom:2px;
margin-top:2px;"><p>\\2</p></div>',
	'<pre>\\1</pre>',
	'<span style="font-size:\\1px">\\2</span>',
	'<span style="color:\\1">\\2</span>',
	'<span style="color:\\1">\\2</span>',
	'<table border="1">\\1</table>',
	'<tr>\\1</tr>',
	'<td>\\1</td>',
	'<center>\\1</center>',
	'<br /><b>Quote:</b><div style="background-color:#DDDDDD;padding:5px;color:#000000;
margin-bottom:2px;
margin-top:2px;"><p>\\1</p></div>',
	'<br /><b>Quote: \\1</b><div style="background-color:#DDDDDD;padding:5px;color:#000000;
margin-bottom:2px;
margin-top:2px;"><p>\\2</p></div>',
);
return preg_replace($search , $replace, $string);
}
function charTest($string) {
return str_replace(array('::l','::r','::a','::n',":)",":D", " :/",":P","^^;"),array('&lt'.';','&gt'.';','&amp;','<br />','<img src="emote/smile.gif" />','<img src="emote/teeth.gif" />','<img src="emote/tssk.gif" />','<img src="emote/wacko.gif" />','<img src="emote/hihi.gif" />'),$string);
}
?>