<?php 

function charTest($string) {
return str_replace(array('::l','::r','::a','::n'), array('<','>','&',"\n"), $string);
}

function startTag($parser, $data){
    global $current_tag;
    $current_tag .= "*$data";
}

function endTag($parser, $data){
    global $current_tag;
    $tag_key = strrpos($current_tag, '*');
    $current_tag = substr($current_tag, 0, $tag_key);
}

function contents($parser, $data){
    global $current_tag, $xml_headline_key, $xml_description_key, $xml_author_key, $xml_timestamp_key, $xml_level_key, $counter, $story_array;
    switch($current_tag){
        case $xml_headline_key:
            $story_array[$counter] = new xml_story();
            $story_array[$counter]->headline = $data;
            break;
        case $xml_description_key:
            $story_array[$counter]->description = $data;
            break;
		case $xml_timestamp_key:
			$story_array[$counter]->timestamp = $data;
			break;
		case $xml_level_key:
			$story_array[$counter]->level = $data;
			break;
		case $xml_author_key:
            $story_array[$counter]->author = $data;
			$counter++;
            break;
    }
}

$uname = $_COOKIE['username'];
$upass = $_COOKIE['password'];
$xml_file = "users/users.data";
$xml_headline_key = "*HEAD*BODY*USERNAME";
$xml_author_key = "*HEAD*BODY*PASSWORD";
$xml_level_key = "*HEAD*BODY*LEVEL";
$flager = 1;
$story_array = array();

$counter = 0;
class xml_story{
    var $headline, $description, $timestamp, $author, $level;
}

$xml_parser = xml_parser_create();
xml_set_element_handler($xml_parser, "startTag", "endTag");
xml_set_character_data_handler($xml_parser, "contents");
$fp = fopen($xml_file, "r");
$data = fread($fp, filesize($xml_file));
if(!(xml_parse($xml_parser, $data, feof($fp)))){
   echo  "Error on line " . xml_get_current_line_number($xml_parser);
}
xml_parser_free($xml_parser);
fclose($fp);
$flag = 0;
for($x=0;$x<count($story_array);$x++){
if ($uname == trim($story_array[$x]->headline) && $upass == trim($story_array[$x]->author)) {
$flag = 1;
$level_key = $x;
}
}
$level = trim($story_array[$level_key]->level);
if ($flag == 0) {
$http = "login.php";
header("Location: $http ");
Exit;
}

$xml_file = "posts/".$_GET['thread'].".data";
$xml_author_key = "*HEAD*BODY*AUTHOR";
$xml_description_key = "*HEAD*BODY*CONTENT";
$xml_headline_key = "*HEAD*BODY*TOPIC";
$xml_timestamp_key = "*HEAD*BODY*TIMESTAMP";
$flagger = 0;
$story_array = array();
$count = $_GET['count'];
$counter = 0;

$xml_parser = xml_parser_create();

xml_set_element_handler($xml_parser, "startTag", "endTag");

xml_set_character_data_handler($xml_parser, "contents");

$fp = fopen($xml_file, "r");

$data = fread($fp, filesize($xml_file));

if(!(xml_parse($xml_parser, $data, feof($fp)))){
   echo  "Error on line " . xml_get_current_line_number($xml_parser);
}

xml_parser_free($xml_parser);

fclose($fp);

?>
<html>
<head>
<?php include('includes/webshare.head'); ?>
<title>Edit Page</title>
</head>
<body>
<div id="topbar">
<div id="rightbutton">
<a href="themechoose.php">
themes
</a>
</div>
<div id="title">
Edit post
</div>
</div>
<ul class="pageitem">
<li class="menu">
<?php
echo "<a href='read.php?thread=".$_GET['thread']."'>";
?>
<span class="name">Back</span>
<span class="comment">Back to content</span>
<span class="arrow"></span>
</a>
</li>
</ul>
<ul class="pageitem">
<?php
echo "<form action='edit.php?count=".$count."&thread=".$_GET['thread']."' method='post'>";
?>
<li class="textbox">
<span class="narrow">
<span class="graytitle">Topic: </span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

<?php
echo '<input type="text" name="topic" size="30" value="'.charTest($story_array[$count]->headline).'" />';
?>
<br />
</span>
</li>
<li class="textbox">
<?php
echo '<textarea name="content"  >'.charTest(trim($story_array[$count]->description)).'</textarea>';
?>
</li>
<li class="form">
<input name="Submit input" type="submit" value="Submit" />
</li>
</form>
</ul>
<ul class="pageitem">
<?php
echo "\t<li class='textbox'>\n \t<span class='graytitle' style='text-align: center;'>".charTest($story_array[$count]->headline);
echo "::<i>\n".$story_array[$count]->author."</i>\n</span>\n<hr />\n";
echo charTest(BBCode("\t" .$story_array[$count]->description. "<hr />\n\t"));
echo $story_array[$count]->timestamp."</li>\n";
?>
</ul>
<?php include("includes/webshare.foot"); ?>
</body>