<?php
$uname = $_COOKIE['username'];
$upass = $_COOKIE['password'];

$xml_file = "users/users.data";

$xml_headline_key = "*HEAD*BODY*USERNAME";
$xml_description_key = "*HEAD*BODY*PASSWORD";
$xml_level_key = "*HEAD*BODY*LEVEL";

$story_array = array();

$counter = 0;
class xml_story{
    var $headline, $description, $level;
}


function startTag($parser, $data){
    global $current_tag;
    $current_tag .= "*$data";
}

function endTag($parser, $data){
    global $current_tag;
    $tag_key = strrpos($current_tag, '*');
    $current_tag = substr($current_tag, 0, $tag_key);
}

function contents($parser, $data){
    global $current_tag, $xml_headline_key, $xml_description_key, $xml_level_key, $counter, $story_array;
    switch($current_tag){
        case $xml_headline_key:
            $story_array[$counter] = new xml_story();
            $story_array[$counter]->headline = $data;
            break;
        case $xml_description_key:
            $story_array[$counter]->description = $data;
			$counter++;
            break;
		case $xml_level_key:
			$story_array[$counter]->level = $data;
			break;
    }
}

$xml_parser = xml_parser_create();

xml_set_element_handler($xml_parser, "startTag", "endTag");

xml_set_character_data_handler($xml_parser, "contents");

$fp = fopen($xml_file, "r");

$data = fread($fp, filesize($xml_file));

if(!(xml_parse($xml_parser, $data, feof($fp)))){
   echo  "Error on line " . xml_get_current_line_number($xml_parser);
}

xml_parser_free($xml_parser);

fclose($fp);

$login = 0;
$level_key = false;

for($x=0;$x<count($story_array);$x++){
if ($uname == trim($story_array[$x]->headline) && $upass == trim($story_array[$x]->description)) {
$login = 1;
$level_key = $x;
}
}
if ($uname == "account")
$login = 0;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<?php
require_once("includes/webshare.head");
?>
<title>iPodShare</title>

</head>

<body>
<div id="topbar">
<div id="title">
iPodShare
</div>
</div>
<div id="navbar">
<div id="rightbutton">
<a href="themechoose.php">
themes
</a>
</div>
<div id="leftbutton">
<a href="user.php">
User
</a>
</div>
</div>

<div id="content">

<?php
if ($login ==0) {
echo '<ul class="pageitem">';
echo '<li class="menu">';
echo '<a href="login.php" >';
echo '<img alt="Description" src="images/login.png" />';
echo '<span class="name">Login</span>';
echo '<span class="arrow"></span>';
echo '</a>';
echo '</li>';
echo '<li class="menu">';
echo '<a href="register.php" >';
echo '<img alt="Description" src="images/other.png" />';
echo '<span class="name">Register</span>';
echo '<span class="comment">Register on WebShare</span>';
echo '<span class="arrow"></span>';
echo '</a>';
echo '</li>';
echo '</ul>';
}
?>
<ul class="pageitem">
<li class="menu">
<?php
if ($login ==1)
echo '<a href="vgopheripod.php">';
else
echo '<a href="guest.php?path=vgopheripod.php">';
?>
<img alt="Description" src="icons/folder.png" />
<span class="name">Files</span>
<span class="arrow"></span>
</a>
</li>
<li class="menu">
<?php
if ($login ==1)
echo '<a href="threads.php">';
else
echo '<a href="guest.php?path=threads.php">';
?>
<img alt="Description" src="icons/file.png" />
<span class="name">Threads</span>
<span class="arrow"></span>
</a>
</li>
<li class="menu">
<?php
if ($login ==1)
echo '<a href="NewPosts.php">';
else
echo '<a href="guest.php?path=NewPosts.php">';
?>
<span class="name">New Posts</span>
<span class="arrow"></span>
</a>
</li>
</ul>
<?php
if (trim($story_array[$level_key]->level) == "3") {
echo '<ul class="pageitem">';
echo'<li class="menu">';
echo'<a href="admin.php" target="_newtaber" >';
echo'<span class="name">Admin</span>';
echo'<span class="arrow"></span>';
echo'</a>';
echo'</li>';
echo'</ul>';
}
?>
</div>
<?php
require_once("includes/webshare.foot");
?>
</body>
</html>