<?php

#	vgophermini - Visual Directory Browser
#	Version 1.0 alpha
#
#	Written by Keith Johansen
# 	Modded by Nathaniel van Diepen
#

$root = "./posts";	 // the "root" directory; the highest directory vgophermini can browse. Best to have vgophermini in or above this directory.
$imgroot = "./icons/";	 // vgophermini is a *visual* browser and uses images. This is the relative directory location of said images.
$secure[0] = "./webshare";
if ($_GET['path'])
$path = $_GET['path'];	// Unimportant, just easier to type "$path" than the GET equivalent
else
$path = $root;	 // Sets the base path to whatever $root is if $_GET['path'] isn't set
if (substr($path,0,strlen($root)) != $root || stristr($path,".."))
$path = $root;

if (in_array($path, $secure))
$path = $root;

$uname = $_COOKIE['username'];
$upass = $_COOKIE['password'];

$xml_file = "users/users.data";

$xml_headline_key = "*HEAD*BODY*USERNAME";
$xml_description_key = "*HEAD*BODY*PASSWORD";
$xml_level_key = "*HEAD*BODY*LEVEL";

$story_array = array();

$counter = 0;
class xml_story{
    var $headline, $description, $level;
}


function startTag($parser, $data){
    global $current_tag;
    $current_tag .= "*$data";
}

function endTag($parser, $data){
    global $current_tag;
    $tag_key = strrpos($current_tag, '*');
    $current_tag = substr($current_tag, 0, $tag_key);
}

function contents($parser, $data){
    global $current_tag, $xml_headline_key, $xml_description_key, $xml_level_key, $counter, $story_array;
    switch($current_tag){
        case $xml_headline_key:
            $story_array[$counter] = new xml_story();
            $story_array[$counter]->headline = $data;
            break;
        case $xml_description_key:
            $story_array[$counter]->description = $data;
			$counter++;
            break;
		case $xml_level_key:
			$story_array[$counter]->level = $data;
			break;
    }
}

$xml_parser = xml_parser_create();

xml_set_element_handler($xml_parser, "startTag", "endTag");

xml_set_character_data_handler($xml_parser, "contents");

$fp = fopen($xml_file, "r");

$data = fread($fp, filesize($xml_file));

if(!(xml_parse($xml_parser, $data, feof($fp)))){
   echo  "Error on line " . xml_get_current_line_number($xml_parser);
}

xml_parser_free($xml_parser);

fclose($fp);

$login = 0;
$level_key = false;

for($x=0;$x<count($story_array);$x++){
if ($uname == trim($story_array[$x]->headline) && $upass == trim($story_array[$x]->description)) {
$login = 1;
$level = trim($story_array[$x]->level);
}
}

?>
<html>
<head>
<?php
require_once("includes/webshare.head");
?>
<script type="text/javascript">
var check;
var test;
function show_confirm()
{
check = confirm('are you sure?');
	if(check)
	{
		check = "YES";
	}
}
function submit_it(test)
{
	if(check = "YES")
	{
		test.submit();
	}
}
</script>
<style type="text/css">
a {
color: #000;
text-decoration: none;
}
</style>
<title>Threads</title>
</head>
<body>

<?php

echo "<div id='topbar'> \n";
echo "<div id='title'>Threads</div>";
echo "</div><div id='navbar'>";
echo "<div id='leftnav'><a href='index.php' ><img alt='home' src='../iWebkit/themes/default/images/home.png'></a></div>";
$patharray = explode("/",$path);
$back = "";
for ($i=0;$i<count($patharray)-1;$i++)
{
$back .= $patharray[$i];
if ($i+1 < count($patharray)-1)
$back .= "/";
}

echo "<form action='vgophermini.php' method='get'> \n";
echo "</div> \n";
echo "</form> \n";
echo "</div>\n";
echo "<div id='content'><ul class='pageitem'>";

If ($path != $root)
{
echo "<li class='menu'><a href='threads.php?path=".$root."'><span class='name'>Back to Top</span><span class='arrow'></span></a></li> \n";
if ($back != $root)
echo "<li class='menu'><a href='threads.php?path=".$back."'><span class='name'>Back one Subforum</span><span class='arrow'></span></a></li>\n";
echo "</ul><ul class='pageitem'>";
}
if ($handle = opendir($path))
{
while (false !== ($file = readdir($handle)))
{
if ($file != "." && $file != "..")
{
if (is_file($path."/".$file)) {
echo "<li class='menu'><a href='read.php?thread=";
if ($path != $root)
echo substr($path,8,strlen($path))."/";
echo substr($file,0,strlen($file)-5)."' ><img src='".$imgroot."file.png' height='68px' width='68px' /><span class='name'>".substr($file,0,strlen($file)-5)."</span><span class='arrow'></span></a></li>";
if ($level == 3)
echo "<li style='text-align:center;'><a onclick='return alert(\"Deleting Thread \")' href='threaddelete.php?path=".$path."/".$file."&return=".$path."'><img src='images/delete.png' /></a></li>";
}
elseif (is_dir($path."/".$file)) {
echo "<li class='menu'><a href='threads.php?path=".$path."/".$file."' ><img src='".$imgroot."folder.png' height='68px' width='68px' /><span class='name'>".$file."</span><span class='arrow'></span></a></li>";
}
}
}
}
closedir($handle);

echo "</ul>\n";
if ($level == 2 || $level == 3) {
echo "<ul class='pageitem'>";
echo '<form action="threadcreate.php?path='.$path.'" method="post" >';
echo "<li class='form'>";
echo '<span class="narrow">';
echo '<span class="name">New Thread:</span>';
echo '<input type="text" name="thread" />';
echo '</span></li>';
echo "<li class='form'>";
echo '<input name="Submit input" onclick="return alert(\'Creating Thread \')" type="submit" value="Submit" /></li></form></ul></div>';
}
?>
<?php
Include('includes/webshare.foot');
?>
</body>
</html>

