<?php

#	vgophermini - Visual Directory Browser
#	Version 1.0 alpha
#
#	Written by Keith Johansen
# 	Modded by Nathaniel van Diepen
#

$root = "./files";	 // the "root" directory; the highest directory vgophermini can browse. Best to have vgophermini in or above this directory.
$imgroot = "./icons/";	 // vgophermini is a *visual* browser and uses images. This is the relative directory location of said images.
$secure[0] = "./webshare";
$rtype = array(".aiff",".gzip",".html",".mpeg",".sitx");  //set all the recognizable filetypes (four letter extensions and three letter extensions)
$ftype = array(".php",".8xg",".tig",".8xp",".avi",".bin",".bmp",".doc",".gif",".jpg",".mov",".mp3",".ogg",".pdf",".png",".ppt",".rar",".sit",".tar",".tgz",".txt",".wav",".wma",".wmv",".wmv",".xls",".zip");
if ($_GET['path'])
$path = $_GET['path'];	// Unimportant, just easier to type "$path" than the GET equivalent
else
$path = $root;	 // Sets the base path to whatever $root is if $_GET['path'] isn't set

if (substr($path,0,strlen($root)) != $root || stristr($path,".."))
$path = $root;

if (in_array($path, $secure))
$path = $root

?>
<html>
<head>
<?php
require_once("includes/webshare.head");
?>
<style type="text/css">
a {
color: #000;
text-decoration: none;
}
</style>
<title>Files</title>
</head>
<body>

<?php

echo "<div id='topbar'> \n";
echo "<div id='title'>".$path."</div>";
echo "</div><div id='navbar'>";
$patharray = explode("/",$path);
$back = "";


echo "<div id='leftnav'><a href='index.php' ><img alt='home' src='../iWebkit/themes/default/images/home.png'></a></div>";

for ($i=0;$i<count($patharray)-1;$i++)
{
$back .= $patharray[$i];
if ($i+1 < count($patharray)-1)
$back .= "/";
}

echo "<form action='vgophermini.php' method='get'> \n";
echo "</div> \n";
echo "</form> \n";
echo "</div>\n";
echo "<div id='content'><ul class='pageitem'>";

If ($path != $root)
{
echo "<li class='menu'><a href='vgopheripod.php?path=".$root."'><span class='name'>.</span><span class='arrow'></span></a></li> \n";
echo "<li class='menu'><a href='vgopheripod.php?path=".$back."'><span class='name'>..</span><span class='arrow'></span></a></li> \n";
}
if ($handle = opendir($path))
{
while (false !== ($file = readdir($handle)))
{
if ($file != "." && $file != "..")
{
if (is_file($path."/".$file))
{
$isImg = 0;
$ttype = substr($file,strlen($file)-4,strlen($file));
$ytype = substr($file,strlen($file)-4,strlen($file));
if (in_array($ttype,$ftype))
{
echo "<li class='menu'><a href='".$path."/".$file."' target='_blank'><img src='".$imgroot.strtolower(substr($ytype,1,3)).".png' height='68px' width='68px' /><span class='name'>".$file."</span><span class='arrow'></span></a></li>";
$isImg = 1;
}
if ($isImg !=1)
{
if (in_array($ttype,$ftype))
{
echo "<li class='menu'><a href='".$path."/".$file."' target='_blank'><img src='".$imgroot.strtolower(substr($ytype,1,4)).".png' height='68px' width='68px' /><span class='name'>".$file."</span><span class='arrow'></span></a></li>";
$isImg = 1;
}
}

if ($isImg != 1)
echo "<li class='menu'><a href='".$path."/".$file."' target='_blank'><img src='".$imgroot."file.png' height='68px' width='68px' /><span class='name'>".$file."</span><span class='arrow'></span></a></li>";
}
elseif (is_dir($path."/".$file))
{
if (in_array($path."/".$file,$secure))
{
echo "<li class='menu'><a HREF='iWebkit/error.php?error=secure' target='_error'><img src='".$imgroot."locked.png' height='68px' width='68px' /><span class='name'>".$file."</span><span class='comment'>secure folder</span><span class='arrow'></span></a></li>";
}
else
{
echo "<li class='menu'><a href='vgopheripod.php?path=".$path."/".$file."' ><img src='".$imgroot."folder.png' height='68px' width='68px' /><span class='name'>".$file."</span><span class='arrow'></span></a></li>";
}
}
else
{
echo "<li class='menu'><a href='".$path."/".$file."' target='_blank'><img src='".$imgroot."file.png' height='68px' width='68px' /><span class='name'>".$file."</span><span class='arrow'></span></a></li>";

}

}

}
closedir($handle);
}
else
{
echo "This directory doesn't exist.\n";
}

echo "</ul>\n";
echo "</div>";
echo "<div id='footer'>";
echo "VGopher Visual Directory Browser &copy;2010 UnSyntax Software <br /> VGopher Mini &copy;2010 Future History<br /><a href='http://www.iconspedia.com/pack/aerovista-1876/'>AeroVista icon pack</a><br />Mac TI-Connect Icons<br /><b><u><a HREF='vgopher.php'>Full VGopher</a></u></b></div>";

?>

</body>
</html>

