<?php
$uname = $_COOKIE['username'];
$upass = $_COOKIE['password'];

$xml_file = "users/users.data";

$xml_headline_key = "*HEAD*BODY*USERNAME";
$xml_description_key = "*HEAD*BODY*PASSWORD";
$xml_level_key = "*HEAD*BODY*LEVEL";

$story_array = array();

$counter = 0;
class xml_story{
    var $headline, $description, $level;
}


function startTag($parser, $data){
    global $current_tag;
    $current_tag .= "*$data";
}

function endTag($parser, $data){
    global $current_tag;
    $tag_key = strrpos($current_tag, '*');
    $current_tag = substr($current_tag, 0, $tag_key);
}

function contents($parser, $data){
    global $current_tag, $xml_headline_key, $xml_description_key, $xml_level_key, $counter, $story_array;
    switch($current_tag){
        case $xml_headline_key:
            $story_array[$counter] = new xml_story();
            $story_array[$counter]->headline = $data;
            break;
        case $xml_description_key:
            $story_array[$counter]->description = $data;
			$counter++;
            break;
		case $xml_level_key:
			$story_array[$counter]->level = $data;
			break;
    }
}

$xml_parser = xml_parser_create();

xml_set_element_handler($xml_parser, "startTag", "endTag");

xml_set_character_data_handler($xml_parser, "contents");

$fp = fopen($xml_file, "r");

$data = fread($fp, filesize($xml_file));

if(!(xml_parse($xml_parser, $data, feof($fp)))){
   echo  "Error on line " . xml_get_current_line_number($xml_parser);
}

xml_parser_free($xml_parser);

fclose($fp);

$login = 0;
$level_key = false;

for($x=0;$x<count($story_array);$x++){
if ($uname == trim($story_array[$x]->headline) && $upass == trim($story_array[$x]->description)) {
$login = 1;
$level = trim($story_array[$x]->level);
}
}
if ($uname == "account" || $level != 3) {
$http = "login.php";
header("Location: $http ");
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<?php
require_once("includes/webshare.head");
?>
<title>Admin Control Panel</title>

</head>

<body>
<div id="topbar">

<div id="title">
Admin Control Panel
</div>

</div>

<div id="navbar">
<div id="leftnav">
<a href="index.php">
<img alt='home' src='../iWebkit/themes/default/images/home.png'>
</a>
</div>
<div id="rightbutton">
<a href="themechoose.php">
themes
</a>
</div>

</div>

<div id="content">

<ul class="pageitem">
<li class="menu">
<a href="subforums.php">
<span class="name">Subforums</span>
<span class="arrow"></span>
</a>
</li>
<li class="menu">
<a href="users.php">
<span class="name"><s>Users</s></span>
<span class="arrow"></span>
</a>
</li>
</ul>

</div>
<?php
require_once("includes/webshare.foot");
?>
</body>
</html>