//A simple example of Replecating the IPhone slide in effect
function loadPage(page,back){
	//Using an AJAX call, retrieve the new content to be placed in the DIV
	$('#content').load('',{Page:page},function(){
		//On successful loading of the content
		//Set the DIV's position to relative (to allow for moving it)
		$(this).css('position','relative');
		//Move the DIV to the right 400px
		//Unless We're going back to a page, then move DIV to the left -400px (So it'll slide to the right)
		$(this).css('left',(back ? -400:400));
		//Now animate the DIV to move back to the Left 400px
		//Back to its original position
		$(this).animate({left:0},'fast','linear',function(){
			//On completion of the animation set the DIV back to static
			$(this).css('position','static');
		});
	});
}