<?php 

function startTag($parser, $data){
    global $current_tag;
    $current_tag .= "*$data";
}

function endTag($parser, $data){
    global $current_tag;
    $tag_key = strrpos($current_tag, '*');
    $current_tag = substr($current_tag, 0, $tag_key);
}

require_once("bbcode.php");

function contents($parser, $data){
    global $current_tag, $xml_headline_key, $xml_description_key, $xml_author_key, $xml_timestamp_key, $xml_level_key, $counter, $story_array;
    switch($current_tag){
        case $xml_headline_key:
            $story_array[$counter] = new xml_story();
            $story_array[$counter]->headline = $data;
            break;
        case $xml_description_key:
            $story_array[$counter]->description = $data;
            break;
case $xml_timestamp_key:
$story_array[$counter]->timestamp = $data;
break;
case $xml_level_key:
$story_array[$counter]->level = $data;
break;
case $xml_author_key:
            $story_array[$counter]->author = $data;
$counter++;
            break;
    }
}

$uname = $_COOKIE['username'];
$upass = $_COOKIE['password'];
$xml_file = "users/users.data";
$xml_headline_key = "*HEAD*BODY*USERNAME";
$xml_author_key = "*HEAD*BODY*PASSWORD";
$xml_level_key = "*HEAD*BODY*LEVEL";
$flager = 1;
$story_array = array();

$counter = 0;
class xml_story{
    var $headline, $description, $timestamp, $author, $level;
}

$xml_parser = xml_parser_create();
xml_set_element_handler($xml_parser, "startTag", "endTag");
xml_set_character_data_handler($xml_parser, "contents");
$fp = fopen($xml_file, "r");
$data = fread($fp, filesize($xml_file));
if(!(xml_parse($xml_parser, $data, feof($fp)))){
   echo  "Error on line " . xml_get_current_line_number($xml_parser);
}
xml_parser_free($xml_parser);
fclose($fp);
$flag = 0;
for($x=0;$x<count($story_array);$x++){
if ($uname == trim($story_array[$x]->headline) && $upass == trim($story_array[$x]->author)) {
$flag = 1;
$level_key = $x;
}
}
$level = trim($story_array[$level_key]->level);
if ($flag == 0) {
$http = "login.php";
header("Location: $http ");
Exit;
}


$xml_file = "posts/".$_GET['thread'].".data";
$xml_author_key = "*HEAD*BODY*AUTHOR";
$xml_description_key = "*HEAD*BODY*CONTENT";
$xml_headline_key = "*HEAD*BODY*TOPIC";
$xml_timestamp_key = "*HEAD*BODY*TIMESTAMP";
$flagger = 0;
$story_array = array();
$counter = 0;

$xml_parser = xml_parser_create();

xml_set_element_handler($xml_parser, "startTag", "endTag");

xml_set_character_data_handler($xml_parser, "contents");

$fp = fopen($xml_file, "r");

$data = fread($fp, filesize($xml_file));

if(!(xml_parse($xml_parser, $data, feof($fp)))){
   echo  "Error on line " . xml_get_current_line_number($xml_parser);
}

xml_parser_free($xml_parser);

fclose($fp);

?>

<html>
<head>
<?php
include('includes/webshare.head'); ?>
<title>iPodShare - <?php echo $_GET['thread']; ?></title>
<script type="text/css">
div.quote {
background-color:#DDDDDD;
font-size:10px;
margin-left:2em;
margin-right:2em;
padding:5px;
}
</script>
</head>
<body bgcolor="#FFFFFF">
<div id="topbar">
<div id="title">
iPodShare - <?php echo $_GET['thread']; ?>
</div>
</div>
<div id="navbar">
<div id="leftnav">
<a href="threads.php">
Threads
</a>
<a href="index.php">
<img alt='home' src='../iWebkit/themes/default/images/home.png'>
</a>
</div>
<div id="rightbutton">
<a href="themechoose.php">
themes
</a>
</div>
</div>
<div id="content">
<ul class="autolist pageitem">
<?php
for($x=count($story_array)-1;$x>-1;$x--){
    echo "\t<li class='textbox'>\n \t<span class='graytitle' >".charTest(trim($story_array[$x]->headline));
echo "::<i>\n".trim($story_array[$x]->author)."</i>\n";
if ( $uname==trim($story_array[$x]->author) || $level == "3") {
echo "<a href='editor.php?count=".$x."&thread=".$_GET['thread']."'>\n<img style='margin-left:20px;' src='images/edit.png' />\n</a>\n<a href='delete.php?count=".$x."&thread=".$_GET['thread']."'>\n<img style='margin-left:20px;' src='images/delete.png' />\n</a>\n";
}
echo "</span>\n<hr />\n";
    echo charTest(BBCode("\t" .trim($story_array[$x]->description). "<hr />\n\t"));
echo $story_array[$x]->timestamp."</li>\n";
}
?>

<li class="menu hidden autolisttext"><a href="#">
<span class="graytitle">
show 10 more items
</span>
</a></li>
</ul>
<ul class="pageitem">
<li class="menu">
<?php
echo '<a href="postxml.php?thread='.$_GET['thread'].'".data"">';
?>
<span class="name">Reply</span>
<span class="comment">Reply to content</span>
<span class="arrow"></span>
</a>
</li>
<?php
if ($level == "3") {
echo '<li class="menu"><a href="flush.php?thread='.$_GET["thread"].'"><span class="name">Flush</span><span class="comment">Flush the content</span><span class="arrow"></span></a></li>';
}
echo '</ul></div>';
include("includes/webshare.foot");
?>
</body>
</html> 