<?php

#	vgophermini - Visual Directory Browser
#	Version 1.0 alpha
#
#	Written by Keith Johansen
# 	Modded by Nathaniel van Diepen
#

$root = "./posts";	 // the "root" directory; the highest directory vgophermini can browse. Best to have vgophermini in or above this directory.
$imgroot = "./icons/";	 // vgophermini is a *visual* browser and uses images. This is the relative directory location of said images.
$secure[0] = "./webshare";
$rtype = array(".aiff",".gzip",".html",".mpeg",".sitx");  //set all the recognizable filetypes (four letter extensions and three letter extensions)
$ftype = array(".php",".8xg",".tig",".8xp",".avi",".bin",".bmp",".doc",".gif",".jpg",".mov",".mp3",".ogg",".pdf",".png",".ppt",".rar",".sit",".tar",".tgz",".txt",".wav",".wma",".wmv",".wmv",".xls",".zip");
if ($_GET['path'])
$path = $_GET['path'];	// Unimportant, just easier to type "$path" than the GET equivalent
else
$path = $root;	 // Sets the base path to whatever $root is if $_GET['path'] isn't set
if (substr($path,0,strlen($root)) != $root || stristr($path,".."))
$path = $root;

if (in_array($path, $secure))
$path = $root

?>
<html>
<head>
<?php
require_once("includes/webshare.head");
?>
<style type="text/css">
a {
color: #000;
text-decoration: none;
}
</style>
<title>Subforum Manager</title>
</head>
<body>

<?php

echo "<div id='topbar'> \n";
echo "<div id='title'>Subforum Manager</div>";
echo "</div><div id='navbar'>";
echo "<div id='leftnav'><a href='admin.php'>Admin</a><a href='index.php' ><img alt='home' src='../iWebkit/themes/default/images/home.png'></a></div>";
$patharray = explode("/",$path);
$back = "";
for ($i=0;$i<count($patharray)-1;$i++)
{
$back .= $patharray[$i];
if ($i+1 < count($patharray)-1)
$back .= "/";
}

echo "<form action='vgophermini.php' method='get'> \n";
echo "</div> \n";
echo "</form> \n";
echo "</div>\n";
echo "<div id='content'><ul class='pageitem'>";

If ($path != $root)
{
echo "<li class='menu'><a href='subforums.php?path=".$root."'><span class='name'>Back to Top</span><span class='arrow'></span></a></li> \n";
if ($back != $root)
echo "<li class='menu'><a href='subforums.php?path=".$back."'><span class='name'>Back one Subforum</span><span class='arrow'></span></a></li>\n";
echo "</ul><ul class='pageitem'>";
}
if ($handle = opendir($path))
{
while (false !== ($file = readdir($handle)))
{
if ($file != "." && $file != "..")
{
if (is_dir($path."/".$file)) {
echo "<li class='menu'><a href='subforums.php?path=".$path."/".$file."' ><img src='".$imgroot."folder.png' height='68px' width='68px' /><span class='name'>".$file."</span><span class='arrow'></span></li></a><li style='text-align:center;'><a href='subdelete.php?path=".$path."/".$file."&return=".$path."'><img src='images/delete.png' /></a></li>";
}
}
}
}
closedir($handle);

echo "</ul>\n";
?>
<ul class='pageitem'>
<form action="subcreate.php?path=<?php echo $path; ?>" method="post" >
<li class='form'>
<span class="narrow">
<span class="name">New Subforum:</span>
<input type="text" name="subforum" />
</span>
</li>
<li class='form'>
<input name="Submit input" type="submit" value="Submit" />
</li>
</form>
</ul>
</div>
<?php
Include('includes/webshare.foot');
?>
</body>
</html>

